import { BollingerBands, IOHLC } from "../types/types_ohlc";
export declare const indicator_adx: (ohlc_data: IOHLC[], period: number) => number[];
export declare const indicator_macd: (data: number[], short_period?: number, long_period?: number, signal_period?: number) => {
    macd: number[];
    signal_line: number[];
};
export declare const indicator_obv: (data: IOHLC[]) => number[];
export declare const indicator_rsi: (data: number[], period?: number) => number[];
export declare const indicator_alligator: (ohlc_data: IOHLC[], jaw_period: number, teeth_period: number, lips_period: number) => {
    jaw: number[];
    teeth: number[];
    lips: number[];
};
export declare const indicator_bollinger_bands: (data: IOHLC[], period?: number, multiplier?: number) => BollingerBands;
